# Uses of Class
org.codehaus.janino.CodeContext.Inserter

Packages that use CodeContext.Inserter
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of CodeContext.Inserter in org.codehaus.janino

Methods in org.codehaus.janino that return CodeContext.Inserter
Modifier and Type
Method
Description
`CodeContext.Inserter`
CodeContext.`currentInserter()`
`CodeContext.Inserter`
CodeContext.`newInserter()`
Allocates an `CodeContext.Inserter`, set it to the current offset, and inserts it before the current offset.
Methods in org.codehaus.janino with parameters of type CodeContext.Inserter
Modifier and Type
Method
Description
`void`
CodeContext.`pushInserter(CodeContext.Inserter ins)`
Remembers the current `CodeContext.Inserter`, then replaces it with the new one.